org.keycloak.dom.saml.v2.metadata

## Class AdditionalMetadataLocationType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.AdditionalMetadataLocationType

-     public class AdditionalMetadataLocationType
      extends Object

  Java class for AdditionalMetadataLocationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdditionalMetadataLocationType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
             <attribute name="namespace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `namespace`
    `protected URI` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalMetadataLocationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getNamespace()` Gets the value of the namespace property.
    `URI` | `getValue()` Gets the value of the value property.
    `void` | `setNamespace(URI value)` Sets the value of the namespace property.
    `void` | `setValue(URI value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected URI value

    - #### namespace

          protected URI namespace

  - ### Constructor Detail

    - #### AdditionalMetadataLocationType

          public AdditionalMetadataLocationType()

  - ### Method Detail

    - #### getValue

          public URI getValue()

      Gets the value of the value property.
      Returns:
        possible object is `URI`

    - #### setValue

          public void setValue(URI value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `URI`

    - #### getNamespace

          public URI getNamespace()

      Gets the value of the namespace property.
      Returns:
        possible object is `URI`

    - #### setNamespace

          public void setNamespace(URI value)

      Sets the value of the namespace property.
      Parameters:
        `value` - allowed object is `URI`

Copyright © 2016 JBoss by Red Hat. All rights reserved.